# cv::DataDepth< _Tp > Class Template Reference

`#include <core.hpp>`

## Detailed Description

### template<typename _Tp>
class cv::DataDepth< _Tp >

A helper class for cv::DataType

The class is specialized for each fundamental numerical data type supported by OpenCV. It provides DataDepth<T>::value constant.

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines